function [t, I] = lr_sim(L, R, I0, Vext, dt, steps)
% [t, I] = lr_sim(L, R, I0, Vext, dt, steps)
%
% L = inductance
% R = resistance
% I0 = initial current
% dt, steps = timing
% t, I = graph axes of output

time=0;
curr=I0;

for step=1:steps
   t(step)=time;
   I(step)=curr;
   
   curr=lr_step(curr, L, R, dt, Vext);
   time=time+dt;

end
