function simrlc()
[btn, fig]=gcbo;

r=get(findall(fig, 'Tag', 'editR'), 'String');
l=get(findall(fig, 'Tag', 'editL'), 'String');
c=get(findall(fig, 'Tag', 'editC'), 'String');
v=get(findall(fig, 'Tag', 'editV'), 'String');

r=scvt(r, 'R');
l=scvt(l, 'L');
c=scvt(c, 'C');
v=scvt(v, 'V');

steps=5000;
dt=1e-6;

st=rlc_init(r, c, v);
[t, V, I]=rlc_run(st, l, dt, steps);

dI=(I(2:steps)-I(1:(steps-1)))/dt;
Ipeak=max(I);
Ihalf=Ipeak/sqrt(2);

for i=1:steps
   if I(i) > Ihalf
      pstart=i;
      break;
   end
end

for i=pstart:steps
   if I(i) < Ihalf
      pend=i;
      break;
   end
end

width=1000*(pend-pstart)*dt;

set(findall(fig, 'Tag', 'txtPeak'), 'String', sprintf('%gA peak', Ipeak));
set(findall(fig, 'Tag', 'txtWidth'), 'String', sprintf('%gms pulsewidth', width));

figr=get(fig, 'UserData');
if length(figr) < 1 | figr == 0
   figr=figure;
else
   figure(figr);
end
set(fig, 'UserData', figr);


hold off;
plot(t, V, 'blue');
hold on;
plot(t, I, 'red');
% plot(t(1:steps-1), dI, 'black');
xlabel('Time (s)');
ylabel('Volts, Amps');
title('RLC Simulation');

return;

function v=scvt(s, lbl)

[v, count, err]=sscanf(s, '%g');
if count < 1
   msgbox(sprintf('%s (%s) is not a number: %s', lbl, s, err), 'Sim Error');
end
return;
