function [mass, Vt, n, Fpk, Fmin, samps]=vary_mass(R, C, V0, geom, turns)
%	[mass, Vt, n, Fpk, Fmin]=vary_mass(R, C, V0, geom, turns)
%
% determines terminal velocity, efficiency over log-scale variance
% in projectile mass.
%

%
% ratio^10 = 10
%

dt=1e-6;
tsteps=4000;
m=1e-4;

rm=power(10, 0.1);
Ee=0.5*C*V0*V0;

for step=1:31
   [t,Ic,Ia,V,F,vel]=run_thompson(R, C, V0, geom, turns, dt, tsteps, m);
   
   disp(strcat('mass step ', num2str(step)));
   disp(strcat('Ipeak ', num2str(max(Ic)), ', ', num2str(max(Ia))));
   laststep=length(vel);	% may have aborted due suckback
   samps(step)=laststep;
   vt=vel(laststep);
   Ek=0.5*m*vt*vt;
   eff=Ek/Ee;
   
   mass(step)=m;
   Vt(step)=vt;
   n(step)=eff;
   Fpk(step)=max(F);
   Fmin(step)=min(F);

   m=m*rm;
end
